if not Translations then Translations = {} end
if not Translations.BankIt then Translations.BankIt = {} end

local translationTable = {
	["German"] = {
		["BankIt"]		   = "BankIt",
		["BankIt Version "]	   = "BankIt Version ",
		[" installed!"] 	   = " installiert!",
		["Moving "]		   = "Schiebe ",
		[" from "]		   = " von ",
		[" to "]		   = " nach ",
		["ignoring "]		   = "ignoriert ",
		["will move "]		   = "wird ",
		["will not move "]	   = "wird ",
		[" anymore"]		   = " nicht mehr verschieben",
		[" again"]		   = " wieder verschieben",
		["BankIt Configuration"]   = "BankIt Konfiguration",
		Inventory	 	   = "Inventar",
		Vault			   = "Bankfach",
		["Bank bag"]		   = "Banktasche",
		Guild		   	   = "Gilde",
		Slot			   = "Fach",
		Designation		   = "Zuweisung",
		Item			   = "Gegenstand",
		Category		   = "Kategorie",
		["Ignore list"]		   = "Ignorierliste",
		
	},
	["French"] = {
		["BankIt"]		   = "BankIt",
		["BankIt Version "]	   = "BankIt Version ",
		[" installed!"] 	   = " installé!",
		
	},
	-- russian version thanks to Aybolitus (incomplete, copied from Heartometer)
	["Russian"] = {
		["BankIt"]         	= "BankIt",
		["BankIt Version "]	= "Версия BankIt ",
		[" installed!"]         = " установлена!",
	},
}

function Translations.BankIt.L(x)
	local lang=Inspect.System.Language()
	if  translationTable[lang]
	and translationTable[lang][x] then
		return translationTable[lang][x]
	elseif lang == "English"  then
		return x
	else
		if not translationTable[lang] then translationTable[lang]={} end
		translationTable[lang][x]=x
		print ("No translation yet for '" .. lang .. "'/'" .. x .. "'")
		return x
	end
end
